Apply or update access policy
curl --request POST \
--url https://api.coreweave.com/v1/cwobject/access-policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"policy": {
"version": "<string>",
"name": "<string>",
"statements": [
{
"name": "<string>",
"effect": "<string>",
"actions": [
"<string>"
],
"resources": [
"<string>"
],
"principals": [
"<string>"
]
}
]
}
}
'import requests
url = "https://api.coreweave.com/v1/cwobject/access-policy"
payload = { "policy": {
"version": "<string>",
"name": "<string>",
"statements": [
{
"name": "<string>",
"effect": "<string>",
"actions": ["<string>"],
"resources": ["<string>"],
"principals": ["<string>"]
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
policy: {
version: '<string>',
name: '<string>',
statements: [
{
name: '<string>',
effect: '<string>',
actions: ['<string>'],
resources: ['<string>'],
principals: ['<string>']
}
]
}
})
};
fetch('https://api.coreweave.com/v1/cwobject/access-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Apply or update access policy
Create or update an access policy by name.
POST
/
v1
/
cwobject
/
access-policy
Apply or update access policy
Authorizations
CoreWeave API access token sent as a bearer token in the Authorization header (the value is prefixed with Bearer). Used by every operation except the SAML/OIDC token-exchange endpoints (anonymous) and the container credentials GET (which uses ContainerCredentialsAuth).
Body
application/json
Inputs for creating or replacing an access policy by name.
The full access-policy document. Replaces any existing policy with the same name.
Show child attributes
Show child attributes
Response
Last modified on July 18, 2026
Was this page helpful?
⌘I